/*
 * Created by SharpDevelop.
 * User: Nathan
 * Date: 8/23/2006
 * Time: 12:56 AM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using System.Net;
using System.IO;

namespace Router_Restart
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>
	public partial class MainForm
	{
		[STAThread]
		public static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
		}
		
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			statusLabel.Text = "Setting up test connection";
			
			WebRequest cableModemRequest = WebRequest.Create("http://192.168.100.1/");
			cableModemRequest.Timeout = 200;
			try {
				statusLabel.Text = "Testing connection";
				cableModemRequest.GetResponse();
				statusLabel.Text = "Test connection succeeded, you are connected to the internet";
			} catch (Exception e) {
				// no response
				
				statusLabel.Text = "Test connection failed, attempting to release network connection";

				string postContent = "connect=Release&refreshScrn=yes";
				WebRequest routerReleaseConnection = WebRequest.Create("http://192.168.1.1/st_dhcp.cgi");
				routerReleaseConnection.PreAuthenticate = true;
				routerReleaseConnection.Credentials = new NetworkCredential("admin", "password");
				routerReleaseConnection.Method = "Post";
				routerReleaseConnection.ContentType = "application/x-www-form-urlencoded";
				routerReleaseConnection.ContentLength = postContent.Length;
				
				StreamWriter myWriter = new StreamWriter(routerReleaseConnection.GetRequestStream());
				myWriter.Write(postContent);
				myWriter.Close();
				
				HttpWebResponse releaseResponse = (HttpWebResponse)routerReleaseConnection.GetResponse();
      
				/*
				using (StreamReader sr =
			    	new StreamReader(objResponse.GetResponseStream()) ) {
					result = sr.ReadToEnd();
					// Close and clean up the StreamReader
					sr.Close();
				}
      			*/

				
				statusLabel.Text = "Attempting to renew network connection";

				postContent = "connect=+Renew+&refreshScrn=yes";
				WebRequest routerRenewConnection = WebRequest.Create("http://192.168.1.1/st_dhcp.cgi");
				routerRenewConnection.PreAuthenticate = true;
				routerRenewConnection.Credentials = new NetworkCredential("admin", "password");
				routerRenewConnection.Method = "Post";
				routerRenewConnection.ContentType = "application/x-www-form-urlencoded";
				routerRenewConnection.ContentLength = postContent.Length;
				
				myWriter = new StreamWriter(routerRenewConnection.GetRequestStream());
				myWriter.Write(postContent);
				myWriter.Close();
				
				HttpWebResponse renewResponse = (HttpWebResponse)routerRenewConnection.GetResponse();
				
				
				statusLabel.Text = "Connection Restored!";

				
			}
			
		}
	}
}
